# decamelize [![Build Status](https://travis-ci.org/sindresorhus/decamelize.svg?branch=master)](https://travis-ci.org/sindresorhus/decamelize)

> Convert a camelized string into a lowercased one with a custom separator
> Example: `unicornRainbow` → `unicorn_rainbow`

## Install

```
$ npm install decamelize
```

## Usage

```js
const decamelize = require('decamelize');

decamelize('unicornRainbow');
//=> 'unicorn_rainbow'

decamelize('unicornRainbow', '-');
//=> 'unicorn-rainbow'
```

## API

### decamelize(input, separator?)

#### input

Type: `string`

#### separator

Type: `string`\
Default: `'_'`

## Related

See [`camelcase`](https://github.com/sindresorhus/camelcase) for the inverse.

---

		Get professional support for this package with a Tidelift subscription (https://tidelift.com/subscription/pkg/npm-decamelize?utm_source=npm-decamelize&utm_medium=referral&utm_campaign=readme)

		Tidelift helps make open source sustainable for maintainers while giving companies
assurances about security, maintenance, and licensing for their dependencies.

